Create a PayPal Order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The information provided here will be used to create a new order with PayPal.

int64
required
1 to 999999999999999

Amount in a currency to be used for the transaction. In the lowest denomination of the currency of the payment. This means that 1234 in GBP represents £12.34.

string
required

Currency code of the payment (ISO 4217)

string
enum
Defaults to capture

By default payments against an order will be captured in a single step, but you can choose to split the authorization and the capture of the order.

  • authorize - if you intend to first authorize using POST /paypal/orders/{orderId}/payments with an intent of authorize then capture the authorized payment using POST /paypal/orders/{orderId}/payments with an intent of capture
  • capture - If you intend to capture immediately using POST /paypal/orders/{orderId}/payments with an intent of capture
Allowed:
string
length between 1 and 50

You may provide your own order code to be used in payments This is separate from the BR-DGE order. Please use only letters, numbers, spaces and these symbols: '[]()@?!\-/.,_&*:;+=

string
length between 1 and 255

Business name which overrides the name in the PayPal account.

Please use only letters, numbers, spaces and these symbols: '[]()@?!\-/.,_&*:;+=

string

The locale used during PayPal payment (BCP 47).

string
length between 1 and 255

Merchant provided invoice number for the order.

Please use only letters, numbers, spaces and these symbols: '[]()@?!\-/.,_&*:;+=

boolean

Requests for the user's PayPal wallet to be vaulted by PayPal. If the customer agrees when redirected to PayPal, and if the payment is successful, a vaultId will be made available. This is false by default.

string

The URL to return the customer to upon successful approval of a payment on the PayPal site. Mandatory if vaulting is requested.

string

The URL to return the customer to upon cancellation of the request on the PayPal site. Mandatory if vaulting is requested.

boolean

Dictates display of shipping address selection during PayPal payment. If an address is supplied in shippingAddressOverride it will be displayed regardless of the value of this field.

boolean

Dictates display of shipping address selection during PayPal payment regardless of if a shipping address override is present.

shippingAddressOverride
object

Details of the destination to ship the items too.

lineItems
array of objects
lineItems
customer
object

Customer's account details with the merchant.

ota
object

Details of the booked transportation. Only required if you're an online travel agency.

string

For use by BR-DGE Cashier to link the transaction to a particular Cashier instance.

customMetadata
object

Optional custom metadata string fields for the transaction.

Up to 25 fields can be included with the following constraints:

The field name may not be empty or have leading or trailing whitespace, and can consist of upper and lowercase letters, numbers, space, underscore "_", hyphen "-" and single quote "'".

Maximum string length of either field name and field value is 200 chars.

riskInstruments
object

Map of optional risk instrument objects which can be used to pass risk information to PSPs or risk engines

string
length ≤ 255

The ID of the customer in your system.

Please use only letters, numbers, spaces and these symbols: '[]()@?!\-/.,_&*:;+=

string

IP address of the customer

string
length between 1 and 255

Vault ID generated by PayPal referring to the customer's stored PayPal wallet.

Responses

401

Unauthorized request.

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json